Несколько уязвимостей в hMAilServer PHPWebAdmin

Дата публикации:
11.11.2008
Дата изменения:
29.03.2009
Всего просмотров:
4093
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
hMailServer 4.x
Уязвимые версии: hMAilServer 4.4.2 B283, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценарии "index.php". Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "hmail_config[includepath]" в сценарии initialize.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.hmailserver.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
29.03.2009
Изменена секция "Решение"

Ссылки: http://milw0rm.com/exploits/7012

или введите имя

CAPTCHA